<?xml version="1.0"?>
<ices>
    
    <background>1</background>
    <logpath>/var/log/ices</logpath>
    <logfile>ices.log</logfile>
    <!-- 1=error,2=warn,3=info,4=debug -->
    <loglevel>4</loglevel>
    <consolelog>4</consolelog>

    <stream>
        
        <metadata>
            <name>Planet Radio Stream</name>
            <genre>Planet Rock</genre>
            <description>Special Flavour Sunshine, Sky and Storm  Music</description>
        </metadata>

        <input>
    
		    <module>alsa</module>
    	    	<param name="rate">44100</param>
    	    	<param name="channels">2</param>
    		<param name="device">plughw:0,0</param>
    	    	<param name="buffer-time">500</param> 
    	        <param name="metadata">0</param>
	   
	<!--    <module>playlist</module>
				<param name="type">basic</param>
				<param name="file">/home/ehret/.quodlibet/playlists/101PlanetStream.ogg</param>
				<param name="random">0</param>
            	<param name="once">0</param>
                <param name="restart-after-reread">0</param>
	-->
	
        </input>

	
        <instance>

            <hostname>st101.teraforming.de</hostname>
            <port>8000</port>
            <password>********</password>
            <mount>ogg/high.ogg</mount>

            <reconnectdelay>2</reconnectdelay>
            <reconnectattempts>5</reconnectattempts> 

            <maxqueuelength>80</maxqueuelength>

            <encode>
                <nominal-bitrate>128000</nominal-bitrate> <!-- bps. e.g. 64000 for 64 kbps -->
                <samplerate>44100</samplerate>
                <channels>2</channels>
            </encode>

        </instance>
        <instance>
			<hostname>st101.teraforming.de</hostname>
            <port>8000</port>
            <password>********</password>
            <mount>ogg/low.ogg</mount>                                 

			<reconnectdelay>2</reconnectdelay>
           	<reconnectattempts>5</reconnectattempts>

			<maxqueuelength>80</maxqueuelength>            

	    <encode>
	        <nominal-bitrate>64000</nominal-bitrate> <!-- bps. e.g. 64000 for 64 kbps -->
            <samplerate>44100</samplerate>
            <channels>2</channels>
	    </encode>
	</instance>

	</stream>
</ices>
